function[stand_data]=fce_stand (vstup)

% funkce pro standardizaci dat
% z= (xij-mean i))/std i
%(-2)<=zij<=2

tr=0

if  size(vstup,1)>size(vstup,2)
    vstup= vstup';
    tr=1;
end

    pom=[];

for k=1:1:size(vstup,1)
    std_pom=std(vstup(k,:));
    mean_pom=mean(vstup(k,:));

        for i=1:1:size(vstup,2)
            pom(k,i)=((vstup(k,i)-mean_pom)/std_pom);
        end
end

stand_data=pom;

if  tr==1
    stand_data= stand_data'
end

end